# Creating a Recipient

#### Overview <a href="#overview" id="overview"></a>

You can create recipients associated to a project that can move money. Creating a recipient generates a unique ID specific to that recipient, which you'll use when sending funds to that recipient or retrieving data associated with them.

#### Authentication <a href="#authentication" id="authentication"></a>

To create recipients via the API, you must have a project **client ID** and **secret**. You can create a new project on the [*orda* developer portal](https://app.orda.network/)

You must sign each API request with a **HMAC signature** with an `x-signature` in the header, derived from your **client secret**. Refer to the [authentication guide](/developers/authentication.md) for more info on how to authenticate your requests.

#### Notes <a href="#notes" id="notes"></a>

To create a recipient, you must include the **settlement details** where the user can receive funds in **fiat currency and/or on-chain**. At least one of the following settlement details are required:

* Blockchain settlement information associated to the recipient (destination chain, token, wallet address)
* Fiat settlement information (KYB/KYC information, banking details)

The recipient will be associated with the project **client ID** provided in the request header as such:

| Header         | Description                                           |
| -------------- | ----------------------------------------------------- |
| `x-client-id`  | Your project's client ID                              |
| `x-signature`  | HMAC-SHA256 signature derived from your client secret |
| `Content-Type` | `application/json` for this request                   |

#### Common Issues <a href="#common-issues" id="common-issues"></a>

* Not signing the request with an `x-signature` derived from your client secret. Refer to the [authentication guide](/developers/authentication.md) for more info.
* Providing a token address or wallet address that is invalid or not compatible with the specified blockchain.

#### Next Steps <a href="#next-steps" id="next-steps"></a>

Once a recipient is created, you’ll receive a unique recipient ID for them in the response. This key should be securely stored and used when interacting with that recipient’s data or initiating payouts.

For implementation details, such as request format and sample code, refer to the [API reference.](https://orda.gitbook.io/orda-docs/api-reference/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orda.network/developers/api/recipients/creating-a-recipient.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
